// stdafx.h : 标准系统包含文件的包含文件，
// 或是经常使用但不常更改的
// 特定于项目的包含文件
//

#pragma once

#include "targetver.h"

#define WIN32_LEAN_AND_MEAN             // 从 Windows 头中排除极少使用的资料
// Windows 头文件:
#include <windows.h>


#include <shlwapi.h>
#pragma comment(lib,"Shlwapi.lib")
#include <tlhelp32.h>
#include <shellapi.h>
#include <tchar.h>
#include <stdio.h>
#include <string>
using namespace std;
//#include "CD750Proto.h"

#ifndef _UNICODE 
typedef string TString;
#else
typedef wstring TString;
#endif

#include <vector>
using namespace std;

// 全局变量;
extern DWORD g_dwAppId;
extern TCHAR g_szAppDir[MAX_PATH];

// 全局函数;
extern BOOL GetDebugPriv();
extern void ShowSystemErrorInfo( LPCTSTR lpszTitle,const DWORD &dwError);
extern DWORD IsAppRunning(LPCTSTR lpszAppDir);
extern bool CloseApp(DWORD dwAppId);
extern void WriteTextLog(const TCHAR *format, ...);
extern unsigned long crc32(unsigned long crc, const unsigned char *buf, unsigned int len);
extern void findfile(IN CONST TString& folder, IN vector<TString> &files);


// TODO: 在此处引用程序需要的其他头文件
